# Discord.js-Basic

Discord.js-basic Simplified and Shortened Easier-to-Use Version of Discord.js, as the name suggests

## Installation

Use the package manager [npm](https://npmjs.com) to install Discord.js-basic.

```bash

npm install discord.js-basic

```

## Usage

```js
const { $client, $clientEvent, $messageSend } = require("discord.js-basic")
// Let's Create a Discord Client
const client = new $client({
    intents: [3276799]//Fill Here According To Your Bot's Intent Requests All intents = 3276799 If You Want To Find Intents, Check Out https://discord-intents-calculator.vercel.app/ 
})
//Now Let's Create an Event 
$event(client, "messageCreate", async (message) => {
    //The client specified in the event must be the client of your bot
    //give a reaction to bot now
    if(message.content === "ping") {
        //By Receiving Message Content, We Check If The Text Is ping if true we make it continue 
     $sendMessage("Pong!", message.channel) //We Get the $messageSend Function, Then We Enter Our Parameters In It, The Process Is Over. So When We Write ping, Our Bot is Pong! He will answer
    
    }
})
//Finally We Make Our Bot Login To The Client 
client.login("YOUR-BOT-TOKEN")
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first

to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

[GNU AGPLv3](https://choosealicense.com/licenses/agpl-3.0/)